Package Details: psychopy 3.1.2-1

Git Clone URL: https://aur.archlinux.org/psychopy.git (read-only)
Package Base: psychopy
Description: An experiment builder for neuroscience, psychology and psychophysics
Upstream URL: http://www.psychopy.org
Licenses: GPL3
Submitter: daniel_shub
Maintainer: rkcf
Last Packager: rkcf
Votes: 4
Popularity: 0.042748
First Submitted: 2015-08-20 20:24
Last Updated: 2019-05-17 22:30

Latest Comments

isacdaavid commented on 2019-07-22 23:44

So I manually installed the missing python-bidi just to find out that psychopy crashes with the following exception:

18:41:04: Debug: Adding duplicate image handler for 'Windows bitmap file'
18:41:04: Debug: Adding duplicate image handler for 'Windows bitmap file'
18:41:04: Debug: Adding duplicate image handler for 'Windows bitmap file'
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pyglet/__init__.py", line 378, in __getattr__
    return getattr(self._module, name)
AttributeError: 'NoneType' object has no attribute 'get_default'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/psychopy", line 11, in <module>
    load_entry_point('PsychoPy==3.1.2', 'gui_scripts', 'psychopy')()
  File "/usr/lib/python3.7/site-packages/psychopy/app/psychopyApp.py", line 100, in main
    start_app()
  File "/usr/lib/python3.7/site-packages/psychopy/app/psychopyApp.py", line 28, in start_app
    app = PsychoPyApp(0, showSplash=showSplash)
  File "/usr/lib/python3.7/site-packages/psychopy/app/_psychopyApp.py", line 180, in __init__
    self.onInit(testMode=testMode, **kwargs)
  File "/usr/lib/python3.7/site-packages/psychopy/app/_psychopyApp.py", line 321, in onInit
    self.showBuilder(fileList=exps)
  File "/usr/lib/python3.7/site-packages/psychopy/app/_psychopyApp.py", line 505, in showBuilder
    self.newBuilderFrame()
  File "/usr/lib/python3.7/site-packages/psychopy/app/_psychopyApp.py", line 487, in newBuilderFrame
    from .builder.builder import BuilderFrame
  File "/usr/lib/python3.7/site-packages/psychopy/app/builder/builder.py", line 46, in <module>
    from .dialogs import (DlgComponentProperties, DlgExperimentProperties,
  File "/usr/lib/python3.7/site-packages/psychopy/app/builder/dialogs/__init__.py", line 31, in <module>
    from .. validators import NameValidator, CodeSnippetValidator
  File "/usr/lib/python3.7/site-packages/psychopy/app/builder/validators.py", line 27, in <module>
    from pyglet.window import key
  File "/usr/lib/python3.7/site-packages/pyglet/window/__init__.py", line 1788, in <module>
    from pyglet.window.xlib import XlibWindow as Window
  File "/usr/lib/python3.7/site-packages/pyglet/window/xlib/__init__.py", line 54, in <module>
    from pyglet.canvas.xlib import XlibCanvas
  File "/usr/lib/python3.7/site-packages/pyglet/canvas/__init__.py", line 103, in <module>
    from pyglet.canvas.xlib import XlibDisplay as Display
  File "/usr/lib/python3.7/site-packages/pyglet/canvas/xlib.py", line 16, in <module>
    from pyglet.app.xlib import XlibSelectDevice
  File "/usr/lib/python3.7/site-packages/pyglet/app/__init__.py", line 175, in <module>
    event_loop = EventLoop()
  File "/usr/lib/python3.7/site-packages/pyglet/app/base.py", line 119, in __init__
    self.clock = clock.get_default()
  File "/usr/lib/python3.7/site-packages/pyglet/__init__.py", line 384, in __getattr__
    __import__(import_name)
  File "/usr/lib/python3.7/site-packages/pyglet/clock.py", line 169, in <module>
    _c = pyglet.lib.load_library('c')
  File "/usr/lib/python3.7/site-packages/pyglet/lib.py", line 158, in load_library
    raise ImportError('Library "%s" not found.' % names[0])
ImportError: Library "c" not found.
Error in atexit._run_exitfuncs:
wx._core.wxAssertionError: C++ assertion "GetEventHandler() == this" failed at ./src/common/wincmn.cpp(478) in ~wxWindowBase(): any pushed event handlers must have been removed
Erreur de segmentation (core dumped)

I made sure to install everything wxWidgets-related to no avail. Any idea?

rkcf commented on 2019-05-01 01:10

@daniel_shub

I was going to put a check into the PKGBUILD, but pytest for psychopy is pinned to <4.1 See: https://github.com/psychopy/psychopy/issues/2189

If you want to run all tests against the system dependencies installed through pacman I recommend:

git clone https://aur.archlinux.org/psychopy.git
cd psychopy
makepkg -o
cd src/psychopy-3.0.7
sudo pip install pytest==4.0.2
pytest -s -v psychopy

When running against system installed packages I get freetype issues. the AUR package for python-freetype-py is out of date, and I am waiting for it to be orphaned so I can take it.

After doing a manual update of python-freetype-py, the tests run, but there are a few fails. These occur when testing in a virtualenv as well; so at an initial glance it is looking like more of an upstream issue. I'll continue to investigate further, but if there are any issues on the arch package side, let me know.

daniel_shub commented on 2019-04-30 22:03

While I can get the package to run and install just fine and psychopy seems to work once installed, the unit tests fail miserably. If I install python.pytest and run

py.test /usr/lib/python3.7/site-packages/psychopy/tests/

I get a whole bunch of errors ending in

AttributeError: module 'pytest' has no attribute 'app'

This happens in a clean chroot, a minimal environment running X, and my working system. I think it would be helpful if the package could pass the unit tests.

daniel_shub commented on 2019-04-30 21:59

Thank you for the update. This is great. There is a small bug on line 49:

$psychopy.png should be $pkgname.png

daniel_shub commented on 2016-09-10 22:06

Updated to 1.84.1. It now depends on python2-moivepy.

psyxcience commented on 2015-10-17 09:35

yes, I rebuild python2-imaging which failed with an error already reported there.
I was also able to build the package when removing the patch.
At the end of the installation it gave me a conflict with python2-pillow. I removed it, the installation finished, and psychopy was working afterwards (hope removing python2-pillow has no negative consequences...).

daniel_shub commented on 2015-10-15 17:24

@psyxcience the first part of the output:

Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1008,wx containers,compatible with 2.8),
and wxPython used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8).

is just a warning from a check in wxGTK about a fairly harmless issue (https://bbs.archlinux.org/viewtopic.php?pid=1524176#p1524176). The second part of the output:

Speicherzugriffsfehler (Speicherabzug geschrieben)

which Google translates for me as: "(Written dump ) memory access error" seems problematic. I just rebuilt the package and tested in an i686 clean chroot and everything works fine for me. I am on a x86_64 system, so it is possible there is an issue with the kernel, but there is what I think is a bug in the python2-imaging PKGBUILD (https://aur.archlinux.org/packages/python2-imaging/) that may be causing the problem. Can you try rebuilding the python2-imaging package?

psyxcience commented on 2015-10-15 09:56

Hi. This is not working for me (4.2.3-1-ARCH i686 KDE & Openbox). It had been working a few months ago.
Installed "avbin7" and "python-pyo..." from AUR before psychopy.

When starting psychopy(App.py) the logo appears, then I can see the application for an eyeblink before it crashes. I get the following error:

Warning: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1008,wx containers,compatible with 2.8),
and wxPython used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8).
Speicherzugriffsfehler (Speicherabzug geschrieben)

Californian commented on 2015-09-19 02:52

For anyone wondering, the binary is called "psychopyApp.py".

daniel_shub commented on 2015-08-20 20:37

I am unable to get iohub working on my 64 bit machine. I am not sure if this is an issue with the package, Arch, or up stream.